What external hard drive w/OS 10.3.9?

Discussion in 'Mac Accessories' started by rlottaviano, Jul 21, 2011.

  1. rlottaviano macrumors newbie

    Joined:
    Jul 21, 2011
    #1
    I'm looking for an external hard drive for my old G5 running 10.3.9. All the models I've looked at require 10.4 or later. Can you please recommend to me a make and model that will plug and play with my system?

    Thanks.

    Bob Ottaviano
     
  2. MisterMe macrumors G4

    MisterMe

    Joined:
    Jul 17, 2002
    Location:
    USA
    #2
    I cannot believe that a FireWire drive is limited to MacOS X 10.4 or above. FireWire is a standard that was developed by Apple. It should be independent of OS version as long as your hardware supports FireWire. By that I mean that you might have problems with FireWire 800 on a computer that supports only FireWire 400. However, your computer supports FireWire 800. Therefore, FireWire support should be a moot issue.

    It does beg the question, however. Your computer supports MacOS X 10.5.8. If you need Classic, then you can run MacOS X 10.4.11. If you don't need Classic, then you may run MacOS X 10.5.8. So, why are you still running MacOS X 10.3.9?
     

Share This Page